Bug 49862 - Improve the output of the SMTPSampler
Improve the output of the SMTPSampler
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
unspecified
PC Linux
: P3 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-09-02 07:13 UTC by Luciana Moreira
Modified: 2010-09-06 15:37 UTC (History)
1 user (show)



Attachments
Patch to for a nicer presentation of the request on SMTPSampler (4.79 KB, text/plain)
2010-09-02 07:15 UTC, Luciana Moreira
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luciana Moreira 2010-09-02 07:13:35 UTC
The patch attached improves the output generated by the SMTP Sampler.

During tests I found it very handy to have a more detailed information about the message sent to the server.

So far I only tested it with messages that contain a message body and do not contain an attachment. The output looks like:

------------ Message Headers ------------
Message-Id: <689649240.25.1283425759858.JavaMail.moreira@pandora>
MIME-Version: 1.0
Sensitivity: company-confidential
From: tester@myserver.com
Reply-to: tester@myserver.com
To: jmeter-tester@anotherserver.com

------------ Message Content ------------
Content-Type: multipart/mixed; 
	boundary="----=_Part_24_1513386444.1283425759857"
Content-Transfer-Encoding: 7bit
ContentType = text/plain; charset=us-ascii

The message text comes in here
blah blah blah
blah blah blah
blah blah blah
and ends here

Request Headers:

I don't know why the  "Request Headers:" keeps showing but it is independent from my code.
Comment 1 Luciana Moreira 2010-09-02 07:15:09 UTC
Created attachment 25968 [details]
Patch to for a nicer presentation of the request on SMTPSampler
Comment 2 Sebb 2010-09-02 07:50:53 UTC
Thanks, good patch.

However, I wonder why the From:/Reply-To: etc. headers are treated specially - would it not be better to use the actual headers?

Also, there were quite a few tabs in the patch - please could you use spaces instead in future? [Eclipse has a setting for this.]
Comment 3 Sebb 2010-09-02 18:35:01 UTC
Applied to SVN:


URL: http://svn.apache.org/viewvc?rev=992129&view=rev
Log:
Bug 49862 - Improve SMTPSampler Request output.

Modified:
   jakarta/jmeter/trunk/src/protocol/mail/org/apache/jmeter/protocol/smtp/sampler/SmtpSampler.java
   jakarta/jmeter/trunk/xdocs/changes.xml



I made a few changes:
- split output into samplerData and RequestHeaders
- moved setup so even failed samples show the request data
- eliminated duplication of header output
Comment 4 Luciana Moreira 2010-09-03 03:19:24 UTC
Hello Sebb,

I will configure Eclipse to avoid the tab problem :-)

I treated the From:/Reply-TO: etc differently only to be able to display them together after all other tags. I only did this because otherwise it is a bit annoying to try to find this information in the middle of all the other tags.

But I can live with them being displayed out of order.
Comment 5 Sebb 2010-09-03 07:24:05 UTC
OK, I see.

Could still sort the fields if the ordering proves to be a problem.
Comment 6 Luciana Moreira 2010-09-06 03:31:50 UTC
After looking into the improvements you made in the code. I must say I like it.

The only thing that I believe should be changed is moving the Request Headers to the top. I saw that you separated the sample result into the body and the headers, and I think it is right!

I just find it a bit odd to have the headers at the bottom...
Comment 7 Sebb 2010-09-06 15:37:51 UTC
The headers are at the bottom because that's the way they are shown for HTTP(S) requests.

Could potentially change to having them at the top, but then one would need to add markers to show where the body starts and ends.